Update fulfillment order notes
curl --request PATCH \
--url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_notes": "<string>",
"internal_notes": "<string>"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/notes"
payload = {
"customer_notes": "<string>",
"internal_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_notes: '<string>', internal_notes: '<string>'})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"order_number": "<string>",
"order_key": "<string>",
"order_status": "<string>",
"sales_order_id": 123,
"warehouse_group_id": 123,
"destination_oms_id": 123,
"destination_oms_store_id": 123,
"fulfillment_channel_id": 123,
"pushed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"ship_by_date": "2023-12-25",
"total": 123,
"bill_to": {
"name": "<string>",
"company": "<string>",
"street1": "<string>",
"street2": "<string>",
"street3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"ship_to": {
"name": "<string>",
"company": "<string>",
"street1": "<string>",
"street2": "<string>",
"street3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"invoice_to": {
"name": "<string>",
"company": "<string>",
"street1": "<string>",
"street2": "<string>",
"street3": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>"
},
"sales_order": {},
"picklists": [
{}
],
"fulfillment_order_items": [
{}
],
"total_weight": {
"total_oz": 123,
"total_lb": 123,
"line_count": 123,
"weighed_line_count": 123,
"is_complete": true
},
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
],
"purchase_orders": [
{
"id": 123,
"order_status": "active"
}
],
"source_reference_identifier": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Fulfillment Orders
Update fulfillment order notes
Update the customer-facing and/or internal notes on a fulfillment order. Send either
field on its own to change one without clobbering the other; send null to clear a
note. At least one of the two fields must be present, or the request is rejected.
Returns the updated fulfillment order.
PATCH
/
fulfillment-orders
/
{fulfillmentOrderId}
/
notes
Update fulfillment order notes
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the fulfillment order
Body
application/json
Response
Notes updated
Show child attributes
Show child attributes